Passa al contenuto principale

DomainContactRequest

contact_data object[]required

Fields to change, one item per field; the fields not sent keep their value

  • Array [
  • data_fieldstringrequired

    Code of the field, as in contact_data of the contact (for example EMAIL)

    data_valuestringrequired

    New value of the field; for PHONE_PREFIX and FAX_PREFIX, the id of the country of the prefix, one of the enum of the field in contact_data of GET /api/v3/tlds/{tld_id}; for BIRTHDAY, a date YYYY-MM-DD

  • ]
  • DomainContactRequest
    {
    "contact_data": [
    {
    "data_field": "string",
    "data_value": "string"
    }
    ]
    }